- NAME
- SYNOPSIS
- DESCRIPTION
- RETURN VALUE
- SEE ALSO
- COPYRIGHT

# NAME

DSA_generate_key - generate DSA key pair

# SYNOPSIS

     #include <openssl/dsa.h>

     int DSA_generate_key(DSA *a);

# DESCRIPTION

DSA_generate_key() expects a to contain DSA parameters. It generates a new key pair and stores it in a->pub_key and a->priv_key.

The PRNG must be seeded prior to calling DSA_generate_key().

# RETURN VALUE

DSA_generate_key() returns 1 on success, 0 otherwise. The error codes can be obtained by SEE ALSO

ERR_get_error(3), DSA_generate_parameters(3)

# COPYRIGHT

Copyright 2000-2016 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the OpenSSL license (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at https://www.openssl.org/source/license.html.